This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530493 - [All Lang] iok appears once only, but lost after that (on 2nd application or second time with same app)
[All Lang] iok appears once only, but lost after that (on 2nd application or ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-m17n (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-23 02:06 EDT by A S Alam
Modified: 2013-07-02 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-30 23:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updated patch for ibus-1.2 (3.16 KB, patch)
2009-10-23 02:54 EDT, Parag Nemade
no flags Details | Diff

  None (edit)
Description A S Alam 2009-10-23 02:06:52 EDT
Description of problem:
While iok shown with ibus-icon with very first application on Desktop, but it lost when try to use with second application. it is happened with Hindi Incript, (and other languages

Version-Release number of selected component (if applicable):
ibus-m17n-1.2.0.20090617-4.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. login Hindi Desktop (ibus with incript layout)
2. Alt+F2 
3. Ctrl+Space (activte input-Method)
4. IOK icon will be there with Hindi
5. Press Esc
6. Repeat Step 2-3
7. IOK icon will NOT be there
  
Actual results:
iok is missing after first time of activation of ibus

Expected results:
iok should always appear with ibus (for Inscript layout)

Additional info:
Comment 1 Parag Nemade 2009-10-23 02:52:57 EDT
I have re-created patch to port it for ibus-1.2. I have also done test rpms for them
For F-11 =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1745714
For F-12 =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1745720
For F-13 =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1745719
Comment 2 Parag Nemade 2009-10-23 02:54:31 EDT
Created attachment 365817 [details]
Updated patch for ibus-1.2

I myself tested it but I can't confirm changes till someone also provide their own test results here for test rpms.
Comment 3 Parag Nemade 2009-10-23 03:09:32 EDT
if scratch builds are gone from koji then I have submitted new scratch build for F-11 which is available at 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1764168
Comment 4 A S Alam 2009-10-23 05:20:10 EDT
it appears not working for rawhide machine (inscript), tested on two machine.
Comment 5 Parag Nemade 2009-10-23 05:23:43 EDT
Thanks for testing it Aaman. Let's discuss this with Phuang then.
Comment 6 Parag Nemade 2009-10-23 06:18:07 EDT
Aman,
   Phuang worked on this issue and committed fix in upstream git tree. I have created new patch and new scratch build is available at

http://koji.fedoraproject.org/koji/taskinfo?taskID=1764291
Comment 7 Peng Huang 2009-10-24 01:04:26 EDT
I have built ibus-m17n for f12. Please test it.
http://koji.fedoraproject.org/koji/buildinfo?buildID=137955
Comment 8 A S Alam 2009-10-26 04:28:23 EDT
it is verified and working with following Package:
ibus-m17n-1.2.0.20090617-5.fc12

Note You need to log in before you can comment on or make changes to this bug.